#pragma once

#include <boost/serialization/export.hpp>
#include "cheind_b.hpp"

#include <boost/archive/polymorphic_iarchive.hpp>
#include <boost/archive/polymorphic_oarchive.hpp>

template void B::serialize(
    boost::archive::polymorphic_oarchive & ar,
    const unsigned int version
);
template void B::serialize(
    boost::archive::polymorphic_iarchive & ar,
    const unsigned int version
);

#include <boost/archive/xml_iarchive.hpp>
#include <boost/archive/xml_oarchive.hpp>

template void B::serialize(
    boost::archive::xml_oarchive & ar,
    const unsigned int version
);
template void B::serialize(
    boost::archive::xml_iarchive & ar,
    const unsigned int version
);

BOOST_CLASS_EXPORT(B);